<?php

namespace WeDevs\AppBridge\Integrations\Dokan;

use WeDevs\AppBridge\Core\AbstractLicenseManager;

class LicenseManager extends AbstractLicenseManager {
	/**
	 * @inheritDoc
	 *
	 * @return string
	 */
	protected function appsero_hash_id(): string {
		return '4b6295f1-4b6e-4e3c-9528-37f85af683b5';
	}

	/**
	 * @inheritDoc
	 *
	 * @return string
	 */
	protected function plugin_name(): string {
		return 'Dokan Vendor App';
	}

	/**
	 * @inheritDoc
	 *
	 * @return string
	 */
	protected function plugin_file(): string {
		return APP_BRIDGE_FILE;
	}

	/**
	 * @inheritDoc
	 *
	 * @return string
	 */
	protected function license_page_url(): string {
		return admin_url( 'admin.php?page=app-bridge-vendor-app&settings_page=license' );
	}

	/**
	 * @inheritDoc
	 *
	 * @return string
	 */
	protected function get_mobile_app_name(): string {
		return 'dokan-vendor-app';
	}
}
